<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Mapas</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"
    integrity="sha256-ivk71nXhz9nsyFDoYoGf2sbjrR9ddh+XDkCcfZxjvcM="
    crossorigin="anonymous"></script>
     <link rel="stylesheet" href="css/senaOnline.css" >
    <link rel="stylesheet" href="bootstrap/css/bootstrap.css" >
    <script  src="bootstrap/js/bootstrap.min.js"></script>
    <script src="senaOnline.js"></script>
    
    <style>
       #map {
        height: 400px;
        width: 100%;
       }
    </style>
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCnm6f2U87HOD2FCQaMKsKZ-XHaCk1FGZc"></script>
    <script type="text/javascript" src="js/markerwithlabel.js"></script>
    <script type="text/javascript">
               var features = [
                  {
                    position: new google.maps.LatLng(10.630256500000009, -74.91311610000002),
                    type: 'info',
                    title: 'Click to zoom',
                    contenido:'Centro para el Desarrollo Agroecológico y Agroindustrial',
                    nombre:"SENA Centro para el Desarrollo Agroecológico y Agroindustrial",
                    Descripcion:"Calle 9 No. 19 - 120 Barrio Santander (Foto 1) Sabanalarga 95 3510799 3795379 8:00 a.m. a 4:30 p.m. Este centro tiene una finca ubicada en el mismo municipio (Foto 2) Dirección: Kilómetro 35 - Margen oriental, carretera Sabanalarga (Finca el Caney) ",
                      num:1
                  },{
                    position: new google.maps.LatLng(10.863255100000018, -74.77690009999998),
                    type: 'info',
                    title: 'Click to zoom',
                    contenido:'SENA Centro Nacional Colombo Alemán (Sede Malambo)',
                    nombre:"SENA Centro Nacional Colombo Alemán (Sede Malambo),",
                    Descripcion:"Diag. 18 No. 16 - 30 Malambo 95 3762855 --- 7:00 a.m. a 12:00 m. y 2:00 p.m. a 5:30 p.m.",
                       num:2
                  },{
                    position: new google.maps.LatLng(10.982750799999984, -74.78373499999992),
                    type: 'info',
                    title: 'Click to zoom',
                    contenido:'SENA Despacho Dirección Atlántico / Centro De Comercio y Servicios ',
                    nombre:"SENA Despacho Dirección Atlántico / Centro De Comercio y Servicios ",
                    Descripcion:"Kra. 43 No. 42 - 40 Piso 10 Barranquilla 95 3510799 --- 8:00 a.m. a 11:30 a.m. y 2:00 p.m. a 5:30 p.m.",
                       num:3
                  }
                ];
                var markadores=new Array();
              function initMap() {
               
                var posinicial = new google.maps.LatLng(10.8104315, -74.8483731);
                var map = new google.maps.Map(document.getElementById('map'), {
                  zoom: 10,
                  center: posinicial
                });
                  
                  var iconBase = 'http://comunica.sena.edu.co/videos2018/';
                var icons = {
                info: {
                    icon: iconBase + 'Favicon_SENA.png'
                  }
                };
                
               
                  
                  let cont=0;
                 // Create markers.
                  
                features.forEach(function(feature) {
                  markadores.push(new MarkerWithLabel({
                    map: map, 
                    position: feature.position,
                    icon: {
                            url:icons[feature.type].icon,
                           // labelOrigin:new google.maps.Point(20, 40)
                          },
                    animation: google.maps.Animation.DROP,
                    title:feature.title,
                    labelContent: feature.contenido,
                    labelAnchor: new google.maps.Point(45, 0),
                    labelClass:"my-custom-class-for-label",
                    labelInBackground: true,
                    datos:feature
                    
                  }));
                    cont++;
                    $("#listaElementos ul").append('<li class="list-group-item lihand" onClick="olClicked('+cont+')">'+feature.contenido+'</li>');
                    
                });
                  
                  //console.log(markadores);
                 markadores.forEach(function(mark){
                     mark.addListener('click', function() {
                      olClicked(mark.datos.num);
                      map.setZoom(12);
                      map.setCenter({lat:mark.getPosition().lat(),lng:mark.getPosition().lng()});
                        $("#map").css({"width":"55%","margin-left":"45%"})
                    });
                 })
                                    
                  $("#btnAtras").click(function(){
                       map.setCenter(posinicial);
                        map.setZoom(10);
                        $("#infoList").hide();
                        $("#map").css({"width":"100%","margin-left":"0%"})
                    });
              }///fin initmap
        
                function olClicked(num){
                  $("#infoList").show();
                  $("#nombRe").html(features[(num-1)].nombre);  
                    $("#descRe").html(features[(num-1)].Descripcion);
                }
            
                
            </script>
</head>
<body onload="initMap()">
<div class="container justify-content-center" style="max-width:750px;min-width:347px;">
   
    <div class="row">
    <div class="col-sm-12 text-center center-block"  style="    text-align: justify;">
           <div id="contMap" class="estyleCont" style="background-color: white;/*height: 480px*/;display: block">
                <div id="info" class="infolabel">
                        <div id="RegionalLeyenda"> 
                           <div id="tituloRe" class="titulLeye">
                               <h2 > Regional Atlántico</h2>
                            </div>
                            <diV id="listaElementos">
                               
                                <ul id="listaCentros" style="list-style-type:none" class="listyle list-group">
                  
                                </ul>
                            </diV>
                        </div>
                </div>
                
                 <div id="infoList" class="infolabeldescip">
                   <div id="btnAtras">atras</div>
                    <div id="imgCont">
                        <img src="img/1.jpg" class="imgs" alt="Smiley face" style="">
                    </div>
                    <div id="infCon" class="contInf">
                        <h3 style="    margin-top: 0px;">nombre</h3>
                        <p id="nombRe"></p>
                        <h3>descripcion</h3>
                        <p id="descRe" ></p>
                    </div>
                </div>         
                
                <div id="map">
                
                </div>
            </div>
            
            
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12 text-center center-block"  style="    text-align: justify;">
                <p>Con presencia en los 48 municipios que conforman el departamento, esta Regional ofrece formación complementaria y titulada principalmente en los sectores más productivos de la región, como lo son: portuario, marítimo y astillero, procurando así la pertinencia de la formación según las necesidades del departamento y facilitando la vinculación del personal al mercado laboral.</p>
<p>Así mismo apoya actividades y procesos encaminados a promover el desarrollo económico, social, tecnológico y competitivo de la región.</p>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-6 text-center center-block"  style="    text-align: justify;">
     <ul>
        <li>
            <a>CENTRO AGROEMPRESARIAL Y MINERO</a>
        </li> 
        <li>
            <a>CENTRO INTERNACIONAL NÁUTICO FLUVIAL Y PORTUARIO</a>
        </li>        
    </ul>
       </div>
        <div class="col-sm-6 text-center center-block"  style="    text-align: justify;">
        <ul>
        <li>
            <a>CENTRO PARA LA INDUSTRIA PETROQUÍMICA</a>
        </li> 
         <li>
             <a>CENTRO DE COMERCIO Y SERVICIOS</a>  
        </ul>         
        </div>
    </div>
        
    <div class="row">
        <div class="col-sm-12 text-center center-block"  style="    text-align: justify;">
        <p>
            Dirección Regional<br>
        Dirección: Ternera Km. 1 vía Turbaco, Cartagena<br>
        Tel: (95) 6539040<br></p>
       
        </div>
</div>
</div>  
</body>
</html>